---
title: Getting Started
navTitle: Getting started
description: 'Polaris is the design system for the Shopify admin. If you’re just starting out with Polaris, here’s a list of recommended resources and guidance to get you started.'
keywords:
  - about
  - polaris
  - design system
  - system
  - getting started
  - get started
  - downloads
  - begin
  - figma
  - ui kits
  - plugins
order: 1
icon: HintMajor
---

## Design resources

Shopify provides [Figma community resources](https://www.figma.com/@Shopify) for Polaris components, styles, and icons. If you are new to Figma, check out our [onboarding guide](https://www.figma.com/community/file/994263185745279952), or open Figma and start designing with the Polaris:

- [Component UI kit](https://www.figma.com/community/file/1111360433678236702)
- [Style Library](https://www.figma.com/community/file/1111359207966840858)
- [Icon Library](https://www.figma.com/file/mMHFt3kEDNjLMZWowi6gnt/Polaris-Icons?node-id=753%3A2)

## Development resources

The [Shopify/polaris GitHub repo](https://github.com/Shopify/polaris) is an open-source monorepo made up of NPM packages, VS Code extensions, and this website. To get started, learn how to install and use the Polaris:

- [React components](https://github.com/Shopify/polaris/tree/main/polaris-react#using-the-react-components)
- [Design tokens](https://github.com/Shopify/polaris/tree/main/polaris-tokens#installation)
- [VS Code extension](/tools/polaris-for-vscode)

## Tutorials

### [Build a Shopify app](https://shopify.dev/apps/getting-started/create)

In this tutorial, you'll create an app that merchants can access in the Shopify admin. You'll use an app initialization command that generates starter code for building your app, and sets up your development environment so that you can work with your app using [Shopify CLI](https://shopify.dev/apps/tools/cli).

Your app will use Polaris and [App Bridge](https://shopify.dev/apps/tools/app-bridge) while following the [App Design Guidelines](https://shopify.dev/apps/design-guidelines).

## Expand your knowledge

Polaris provides foundational design guidance for creating good merchant experiences. Here are some recommended resources to:

- [Experience Values](/foundations/experience-values)
- [Design guidelines](/design)
- [Product content](/content/product-content)
